Subject: Re: [art] URI content hints

From: "Soni L." <[email-masked]>
Date: Fri, 24 Mar 2023 13:06:11 -0300

On 3/24/23 11:43, Carsten Bormann wrote:
> On 8. Mar 2023, at 01:45, Soni L. <[email-masked]> wrote:
>> 
>> the browser has no idea what an URI is for.
> 
> So you don’t want a URI, you want a Web Link.
> RFC 8288 is your friend.
> (We use it in our discovery standards RFC 6690 and RFC 9176.
> The actual URIs are used in the actual requests, the links during discovery.)
> 
> Grüße, Carsten
> 

We've looked at the Link header.

Just for clarification: if a resource is available as a webpage, as an 
atom feed, and as an activitypub feed, would the below be appropriate:

HEAD /@User HTTP/1.1
Host: example.instance
Accept: text/html

HTTP/1.1 200 OK
Content-Type: text/html
Link: </@User>; rel="alternate"; type="application/atom+xml"
Link: </@User>; rel="alternate"; type="application/activity+json"
Link: </@User>; rel="alternate"; type="application/ld+json; 
profile=\"https://www.w3.org/ns/activitystreams\""

Further, if an user has handlers for atom feeds and for activitypub 
feeds, should the browser automatically open both too? (In other words, 
does telling the browser/UA of related links imply an intent or desire 
to open those links?)

-- 
1st person: we/us
2nd person: it/its
3rd person: she/they